sub entry {
    my $self = shift;
    ...;

    # 指定されたIDの短文情報を取得
    my $entry = Actub::Model::Entry::read_row($dbh, $self->param('id'));

    if(is_ap($self->req->headers->accept)){
        ...; # $outにAS2形式のデータを設定
        $self->render(text => $out, format => 'as');
    } else {
        $self->render(template => 'entry', e => $entry);
    }
}

# AS2を要求しているかのチェック
sub is_ap {
    my $arg = shift // '';
    my (@params) = split /,/, $arg;

    for(@params){
        s/^ +//;
        s/ +$//;
        if($_ eq 'application/ld+json; profile="https://www.w3.org/ns/activitystreams"' ||
           $_ eq 'application/activity+json'){ return 1; }
    }
    return 0;
}
