# WEB+DB PRESS Vol.114 連載「Perl Hackers Hub」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.114」の連載「Perl Hackers Hub」第59回「Fediverse入門」（白方健太郎著）のサンプルコードです。

## ファイル一覧

本稿で使用したサンプルコード片およびデータです。そのまま動作するコードではありませんので参考程度にご覧ください。

 * 01_as2.json - AS2オブジェクトの例
 * 02_metadata.xml - Web Host Metadataプロトコルのデータ
 * 03_webfinger.json - WebFingerプロトコルのデータ
 * 04_actor.json - アクターオブジェクト
 * 05_follow.json - Followオブジェクト
 * 06_accept.json - Acceptオブジェクト
 * 07_undo.json - Undoオブジェクト
 * 08_note.json - Noteオブジェクト
 * 09_create.json - Createオブジェクト

 * 11_www_activtypub_base.pm - WWW::ActivityPub::Baseモジュール
 * 12_www_activtypub_follow.pm - WWW::ActivityPub::Followモジュール
 * 13_startup.pl - 新しいMIME型を追加するコード
 * 14_render.pl - 新しいMIME型を使用するコード
 * 15_jonk_insert.pl - Jonkモジュールのキューに追加するコード
 * 16_jonk_find.pl - Jonkモジュールのキューから取得するコード
 * 17_post.pl - HTTP POSTを行うコード
 * 18_sign.pl - 署名するコード
 * 19_entry.pl - コンテントネゴシエーションのコード

 * 21_announce.json - Announceオブジェクト
 * 22_like.json - Likeオブジェクト
 * 23_hashtag.json - ハッシュタグを含むNoteオブジェクト
 * 24_attachment.json - Attachment要素
 * 25_profile.json - プロファイル関連要素
