sub sign {
    my ($data) = shift;

    # 秘密鍵を取得
    my $pk = get_pk();

    # 署名
    my $key =
        Crypt::OpenSSL::RSA->new_private_key($pk);
    $key->use_sha256_hash();
    my $s = $key->sign($data);

    # Base64エンコードした文字列を返却
    return encode_base64($s, "");
}
